﻿<?xml version="1.0" encoding="UTF-8"?>
<!--
 *
 * Entity is characterized by
 *
 *      author Takito, Masaaki
 *
-->

<xsd:schema
	elementFormDefault="qualified"
	targetNamespace="https://gcm.ntt.com/api/xml-schema/v2/party/customer-tech-rep-pseudo-role"
	xmlns:cstmr-tech-rep-pr="https://gcm.ntt.com/api/xml-schema/v2/party/customer-tech-rep-pseudo-role"

	xmlns:datatypes="https://gcm.ntt.com/api/xml-schema/v2/cbe-datatypes"
	xmlns:cbe="https://gcm.ntt.com/api/xml-schema/v2/common-business-entity"
	xmlns:xsd="http://www.w3.org/2001/XMLSchema">

	<!-- Imports -->
	<xsd:import namespace="https://gcm.ntt.com/api/xml-schema/v2/cbe-datatypes"
			schemaLocation="http://localhost/api/xml-schema/v2/cbe-datatypes/cbe-datatypes.xsd"/>
	<xsd:import namespace="https://gcm.ntt.com/api/xml-schema/v2/common-business-entity"
			schemaLocation="http://localhost/api/xml-schema/v2/cbe-domain/cbe.xsd"/>

	<!--
	 *
	 *==========================================================================
	 * ■Customer Technical Representative Pseudo Role : Tree representation of Specification / Characteristics
	 *==========================================================================
	 *
	-->
	<!-- ■customer-tech-rep-pseudo-roles (Element) -->
	<xsd:element name="customer-tech-rep-pseudo-roles" type="cstmr-tech-rep-pr:ArrayOfCustomerTechRepPseudoRole"/>

	<!-- ■ArrayOfCustomerTechRepPseudoRole -->
	<xsd:complexType name="ArrayOfCustomerTechRepPseudoRole">
		<xsd:sequence>
			<xsd:element ref="cstmr-tech-rep-pr:customer-tech-rep-pseudo-role" minOccurs="1" maxOccurs="unbounded"/>
		</xsd:sequence>
	</xsd:complexType>

	<!-- ■customer-tech-rep-pseudo-role (Element) substitution element -->
	<xsd:element name="customer-tech-rep-pseudo-role" type="cstmr-tech-rep-pr:CustomerTechRepPseudoRole"/>

	<!-- ■CustomerTechRepPseudoRole (Datatype) -->
	<xsd:complexType name="CustomerTechRepPseudoRole">
		<xsd:sequence>
			<xsd:element name="corporation-name" type="cstmr-tech-rep-pr:CharacteristicSpecification1" minOccurs="0"/>
			<xsd:element name="corporation-name-latin" type="cstmr-tech-rep-pr:CharacteristicSpecification2" minOccurs="0"/>
			<xsd:element name="corporation-name-furigana" type="cstmr-tech-rep-pr:CharacteristicSpecification3" minOccurs="0"/>
		</xsd:sequence>
		<xsd:attribute name="name" type="xsd:normalizedString" use="optional" />
	</xsd:complexType>

	<!-- ■CharacteristicSpecification1 (Datatype) -->
	<xsd:complexType name="CharacteristicSpecification1">
		<xsd:sequence>
			<xsd:element name="characteristic-value" type="cstmr-tech-rep-pr:CharacteristicValue1" minOccurs="0"/>
		</xsd:sequence>
	</xsd:complexType>

	<!-- ■CharacteristicValue1 (Datatype) -->
	<xsd:complexType name="CharacteristicValue1">
		<xsd:complexContent>
			<xsd:extension base = "cbe:AbsCharacteristicValue">
				<xsd:sequence>
					<xsd:element ref="cstmr-tech-rep-pr:corporation-name-val" minOccurs="0"/>
				</xsd:sequence>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■CharacteristicSpecification2 (Datatype) -->
	<xsd:complexType name="CharacteristicSpecification2">
		<xsd:sequence>
			<xsd:element name="characteristic-value" type="cstmr-tech-rep-pr:CharacteristicValue2" minOccurs="0"/>
		</xsd:sequence>
	</xsd:complexType>

	<!-- ■CharacteristicValue2 (Datatype) -->
	<xsd:complexType name="CharacteristicValue2">
		<xsd:complexContent>
			<xsd:extension base = "cbe:AbsCharacteristicValue">
				<xsd:sequence>
					<xsd:element ref="cstmr-tech-rep-pr:corporation-name-latin-val" minOccurs="0"/>
				</xsd:sequence>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■CharacteristicSpecification3 (Datatype) -->
	<xsd:complexType name="CharacteristicSpecification3">
		<xsd:sequence>
			<xsd:element name="characteristic-value" type="cstmr-tech-rep-pr:CharacteristicValue3" minOccurs="0"/>
		</xsd:sequence>
	</xsd:complexType>

	<!-- ■CharacteristicValue3 (Datatype) -->
	<xsd:complexType name="CharacteristicValue3">
		<xsd:complexContent>
			<xsd:extension base = "cbe:AbsCharacteristicValue">
				<xsd:sequence>
					<xsd:element ref="cstmr-tech-rep-pr:corporation-name-furigana-val" minOccurs="0"/>
				</xsd:sequence>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!--
	 *
	 *==========================================================================
	 * ■Element of CharacteristicValue
	 *==========================================================================
	 *
	-->
	<!-- ■corporation-name-val (Element) substitution element -->
	<xsd:element name="corporation-name-val"
			substitutionGroup="cbe:base-value">
		<xsd:simpleType>
			<xsd:restriction base="xsd:normalizedString">
				<xsd:minLength value="1"/>
				<xsd:maxLength value="100"/>
			</xsd:restriction>
		</xsd:simpleType>
	</xsd:element>

	<!-- ■corporation-name-latin-val (Element) substitution element -->
	<xsd:element name="corporation-name-latin-val"
			substitutionGroup="cbe:base-value">
		<xsd:simpleType>
			<xsd:restriction base="xsd:normalizedString">
				<xsd:minLength value="1"/>
				<xsd:maxLength value="100"/>
				<xsd:pattern value="[\p{IsBasicLatin}\p{IsLatin-1Supplement}]+"/>
			</xsd:restriction>
		</xsd:simpleType>
	</xsd:element>

	<!-- ■corporation-name-furigana-val (Element) to be substituted -->
	<xsd:element name="corporation-name-furigana-val"
			substitutionGroup="cbe:base-value">
		<xsd:simpleType>
			<xsd:restriction base="xsd:normalizedString">
				<xsd:minLength value="1"/>
				<xsd:maxLength value="100"/>
				<xsd:pattern value="[\p{Zs}\p{Pd}\p{Ps}\p{Pe}\p{IsBasicLatin}&#x30A1;-&#x30FC;]+"/>
			</xsd:restriction>
		</xsd:simpleType>
	</xsd:element>

</xsd:schema>
